Subject: Re: [Jose-reg-review] Request to register header parameter: svt

From: Stefan Santesson <[email-masked]>
Date: Sat, 12 Mar 2022 13:48:26 +0100

Hi Sean,

Trying to clear this one up to bet publication done.

Is there anything I need to do?

What comes first, registration of this claim or publication of the RFC?

/Stefan

On 2022-01-05 00:54, Stefan Santesson wrote:
> Hi,
>
> Sorry I missed this reply.
>
> I would be happy to add my contact details as specified in the drafts:
>
> Stefan Santesson
> IDsec Solutions AB
> Forskningsbyn Ideon
> SE-223 70 Lund
> Sweden
>
> Email: [email-masked]
>
> How do we proceed with this?
>
> /Stefan
>
>
>
> Den 2021-10-18 kl. 17:28, skrev Sean Turner:
>> H!
>>
>> My one question about this registration is whether the IESG should be the change controller. It says the following in RFC 7515:
>>
>>   Change Controller:
>>       For Standards Track RFCs, list the "IESG".  For others, give the
>>       name of the responsible party.  Other details (e.g., postal
>>       address, email address, home page URI) may also be included.
>>
>> All previous registrations have been through a standards track RFC, but this one isn’t. Maybe just list Stefan or IDsec’s info?
>>
>> spt
>>
>>> On Sep 3, 2021, at 11:32, Stefan Santesson <[email-masked]> wrote:
>>>
>>>
>>>
>>> Hi,
>>>
>>> The draft https://datatracker.ietf.org/doc/draft-santesson-svt-jws/ is
>>> being requested for publication as individual submission
>>>
>>> This draft includes the request to register the JWS Header Parameter 
>>> "svt" as follows:
>>>
>>> 6.1.  Header Parameter Names Registration
>>>
>>>    This section registers the "svt" Header Parameter in the IANA "JSON
>>>    Web Signature and Encryption Header Parameters" registry established
>>>    by [RFC7515].
>>>
>>> 6.1.1.  Registry Contents
>>>
>>>    *  Header Parameter Name: "svt"
>>>    *  Header Parameter Description: Signature Validation Token
>>>    *  Header Parameter Usage Location(s): JWS
>>>    *  Change Controller: IESG
>>>    *  Specification Document(s): Section 3.1 of {this document}
>>>
>>>
>>> The draft specifies a a profile for including SVT tokens in a JWS using
>>> this defined header parameter ("svt").
>>>
>>> The rationale for this claim is described in the referenced document and
>>> the main specification found here:
>>> https://datatracker.ietf.org/doc/draft-santesson-svt/ .
>>>
>>> The solution is deployed is real services and it is considered for
>>> national government usage which is the main reason to publish the
>>> specification as an informational RFC.
>>>
>>>
>>> /Stefan Santesson
>>>
>>> _______________________________________________
>>> Jose-reg-review mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/jose-reg-review

---

From: Sean Turner <[email-masked]>
Date: Mon, 14 Mar 2022 22:13:55 -0400

Adrian asked for a review and I shot it over. I noted this in that review. Has Eliot picked it up?

spt

> On Mar 12, 2022, at 07:48, Stefan Santesson <[email-masked]> wrote:
> 
> Hi Sean,
>